<template>
  <div class="filters-wrapper colors-filters" :class="{ active: isFiltersOpened }">
    <div
      class="filter"
      v-for="filter in colorFilters"
      :key="filter.name"
      @click="() => addFilter(filter)"
    >
      <div class="color-wrapper" :class="{ 'active-color-wrapper': isFilterActive(filter) }">
        <div class="color" :class="filter.name" />
      </div>
      <p>{{ filter.label }}</p>
    </div>
  </div>
</template>
<script lang="ts">
import { COLOUR_FILTERS, FILTERS_TYPE } from '@/types/glasses'

export default {
  props: {
    isFiltersOpened: {
      type: Boolean,
      required: true
    },
    addFilter: {
      type: Function,
      required: true
    },
    isFilterActive: {
      type: Function,
      required: true
    }
  },

  data() {
    return {
      colorFilters: [
        { type: FILTERS_TYPE.COLOUR, label: 'Black', name: COLOUR_FILTERS.BLACK },
        { type: FILTERS_TYPE.COLOUR, label: 'Tortoise', name: COLOUR_FILTERS.TORTOISE },
        { type: FILTERS_TYPE.COLOUR, label: 'Coloured', name: COLOUR_FILTERS.COLOURED },
        { type: FILTERS_TYPE.COLOUR, label: 'Crystal', name: COLOUR_FILTERS.CRYSTAL },
        { type: FILTERS_TYPE.COLOUR, label: 'Dark', name: COLOUR_FILTERS.DARK },
        { type: FILTERS_TYPE.COLOUR, label: 'Bright', name: COLOUR_FILTERS.BRIGHT }
      ]
    }
  }
}
</script>
